--- /dev/null
+diff -ur trunk/onis systemwide-patch/onis
+--- trunk/onis 2005-04-17 15:14:57.000000000 +0200
++++ systemwide-patch/onis 2005-04-17 15:20:26.000000000 +0200
+@@ -15,10 +15,6 @@
+
+ BEGIN
+ {
+- if ($0 =~ m#^(.*)[/\\]#) { chdir ($1); }
+-
+- unshift (@INC, 'lib');
+-
+ # 0x0010 Language (make not-translated lines red/yellow)
+ # 0x0020 Parser (dropped lines)
+ # 0x0040 Parser (time information)
+@@ -54,13 +50,13 @@
+ print STDERR $/, __FILE__, ': $Id: onis 82 2005-04-17 13:14:57Z octo $' if ($::DEBUG);
+
+ parse_argv (@ARGV);
+-read_config (get_config ('config') ? get_config ('config') : 'onis.conf');
++read_config (get_config ('config') ? get_config ('config') : '/etc/onis.conf');
+ read_config (scalar get_config ('theme')) if (get_config ('theme'));
+
+ my $output = get_config ('output');
+ if (!$output)
+ {
+- $output = "reports/onis.html";
++ $output = "onis.html";
+ }
+
+ foreach ('Core', get_config ('plugin'))
+diff -ur trunk/onis.conf systemwide-patch/onis.conf
+--- trunk/onis.conf 2005-04-17 15:13:13.000000000 +0200
++++ systemwide-patch/onis.conf 2005-04-17 15:25:49.000000000 +0200
+@@ -158,7 +158,7 @@
+
+ # Sets the directory in which the storage file(s) should be kept. This is used
+ # by ``Dbm'' and ``Storable''.
+-storage_dir: "var/";
++storage_dir: "/var/lib/onis/";
+
+
+ #
+@@ -177,9 +177,9 @@
+ # Style settings. If no theme is given this might result in a lot of very
+ # weird errors, so better set one ;)
+ # Valid themes as of onis 0.7.0: light, liner, dark
+-theme: "themes/light.theme";
++theme: "/usr/share/onis/themes/light.theme";
+
+ # Read translations from this file.
+ # One of:
+ # english.lang german.lang norwegian.lang spanish.lang swedish.lang
+-language_file: "lang/english.lang";
++language_file: "/usr/share/onis/lang/english.lang";
--- /dev/null
+onis for Debian
+---------------
+
+- The default config file has been moved to /etc/onis/onis.conf
+- Language-files and themes are installed in /usr/share/onis/
+
+ -- Florian Forster <octo@verplant.org>, Thu, 3 Mar 2005 10:54:23 +0100
--- /dev/null
+onis (0.8.0-1) unstable; urgency=low
+
+ * New upstream version,
+
+ -- Florian Forster <octo@verplant.org> Thu, 17 Apr 2005 15:03:36 +0100
+
+onis (0.6.1-1) unstable; urgency=low
+
+ * Initial Release.
+
+ -- Florian Forster <octo@verplant.org> Thu, 3 Mar 2005 10:54:23 +0100
+
--- /dev/null
+etc/onis/onis.conf
+etc/onis/users.conf
--- /dev/null
+Source: onis
+Section: unknown
+Priority: optional
+Maintainer: Florian Forster <octo@verplant.org>
+Build-Depends: debhelper (>= 4.0.0)
+Standards-Version: 3.6.1
+
+Package: onis
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends}
+Description: onis is a script to convert irc logfiles into an HTML statistic page.
+ onis converts IRC logfiles into nice HTML statistics pages. It features
+ support for several popular logfile formats and various languages.
--- /dev/null
+This package was debianized by Florian Forster <octo@verplant.org> on
+Thu, 3 Mar 2005 10:54:23 +0100.
+
+It was downloaded from <fill in ftp site>
+
+Copyright:
+
+Upstream Author(s): <put author(s) name and email here>
+
+License:
+
+<Must follow here>
--- /dev/null
+etc/onis
+usr/bin
+usr/lib/perl5
+usr/share/onis/lang
--- /dev/null
+CHANGELOG
+COPYING
+README
+THANKS
--- /dev/null
+onis_0.6.1-1_all.deb unknown optional
--- /dev/null
+#! /bin/sh
+# preinst script for onis
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <new-preinst> `install'
+# * <new-preinst> `install' <old-version>
+# * <new-preinst> `upgrade' <old-version>
+# * <old-preinst> `abort-upgrade' <new-version>
+#
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ install)
+ ;;
+
+ upgrade)
+ echo "Warning: Upgrading to a new version will propably destroy your persistent data!"
+ ;;
+
+ abort-upgrade)
+ ;;
+
+ *)
+ echo "preinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+
+
--- /dev/null
+#!/usr/bin/make -f
+# -*- makefile -*-
+# Sample debian/rules that uses debhelper.
+# This file was originally written by Joey Hess and Craig Small.
+# As a special exception, when this file is copied by dh-make into a
+# dh-make output file, you may use that output file without restriction.
+# This special exception was added by Craig Small in version 0.37 of dh-make.
+
+# Uncomment this to turn on verbose mode.
+#export DH_VERBOSE=1
+
+
+
+
+CFLAGS = -Wall -g
+
+ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
+ CFLAGS += -O0
+else
+ CFLAGS += -O2
+endif
+
+configure: configure-stamp
+configure-stamp:
+ dh_testdir
+ # Add here commands to configure the package.
+
+ patch -p1 <contrib/systemwide-patch/systemwide-patch.diff
+
+ touch configure-stamp
+
+
+build: build-stamp
+
+build-stamp: configure-stamp
+ dh_testdir
+
+ # Add here commands to compile the package.
+ #$(MAKE)
+ #docbook-to-man debian/onis.sgml > onis.1
+
+ touch build-stamp
+
+clean:
+ dh_testdir
+ dh_testroot
+ rm -f build-stamp configure-stamp
+
+ # Add here commands to clean up after the build process.
+ #-$(MAKE) clean
+
+ dh_clean
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_clean -k
+ dh_installdirs
+ # Add here commands to install the package into debian/onis.
+ #$(MAKE) install DESTDIR=$(CURDIR)/debian/onis
+ dh_install onis.conf users.conf etc/onis/
+ dh_install onis usr/bin/
+ dh_install lib/Onis usr/lib/perl5/
+ dh_install lang themes usr/share/onis/
+ dh_install reports/*-theme usr/share/onis/themes/
+
+# Build architecture-independent files here.
+binary-indep: build install
+ dh_testdir
+ dh_testroot
+ dh_installchangelogs CHANGELOG
+ dh_installdocs
+ dh_installexamples
+# dh_install
+# dh_installmenu
+# dh_installdebconf
+# dh_installlogrotate
+# dh_installemacsen
+# dh_installpam
+# dh_installmime
+# dh_installinit
+# dh_installcron
+# dh_installinfo
+ dh_installman
+ dh_link
+ dh_strip
+ dh_compress
+ dh_fixperms
+ dh_perl
+# dh_python
+# dh_makeshlibs
+ dh_installdeb
+ dh_shlibdeps
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+# Build architecture-dependent files here.
+binary-arch: build install
+# We have nothing to do by default.
+
+binary: binary-indep binary-arch
+.PHONY: build clean binary-indep binary-arch binary install configure